Productsup
API referenceV1Export template

Retrieve a list of export templates

An export template is a resource that holds the main information of a template for creating channels. This endpoint returns a list with export templates.

GET
/V1/export-templates

Authorization

bearerAuth
AuthorizationBearer <token>

ProductsUp Keycloak JWT bearer token.

In: header

Query Parameters

name?string

Filter export templates by name. This can be a part of the name or the full name

categoryId?string

Filter export templates by their marketing category

visibilities?array<>

Array of one or more visibilities to filter by. Possible values are global,custom,draft

ids?array<>

Array of one or more export template ids to filter by

allowXml?boolean

Filter export templates by xml support

createDelta?boolean

Filter export templates by delta support

deltaKeyUnique?boolean

Filter export templates by delta key uniqueness

accountId?string

Filter export templates by account id

projectId?string

Filter export templates by project id

siteId?string

Filter export templates by site id

context.<item>?string

Filter export templates by context item

countryId?integer

Filter export templates by country id. Use the /V1/export-countries endpoint to retrieve available country ids.

type?string

Filter export templates by type. Possible values: main, csa

Value in"main" | "csa"
firstResult?integer

starting item

maxResults?integer

items per page

Header Parameters

X-Channel-Template-Context?string

Name of channel template context to process request against.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://export-template-api.productsup.com/V1/export-templates"
{
  "data": [
    {
      "id": 58664,
      "name": "Amazon",
      "global": false,
      "pseudo": true,
      "allowXml": false,
      "roiOptions": "",
      "accountId": 1,
      "projectId": 2,
      "siteId": 3,
      "logoUrl": "https://ctm-channel-logos.stage-ctm-cdn.productsup.com/channel/0/logo.png",
      "createDelta": false,
      "deltaKeyUnique": true
    },
    {
      "id": 58663,
      "name": "Google Shopping",
      "global": false,
      "pseudo": true,
      "allowXml": false,
      "roiOptions": "",
      "accountId": 0,
      "projectId": 0,
      "siteId": 0,
      "logoUrl": "https://ctm-channel-logos.stage-ctm-cdn.productsup.com/channel/0/logo.png",
      "createDelta": false,
      "deltaKeyUnique": false
    },
    {
      "id": 58662,
      "name": "Microsoft Bing",
      "global": false,
      "pseudo": true,
      "allowXml": false,
      "roiOptions": "PAUSE,CPC",
      "accountId": 1,
      "projectId": 2,
      "siteId": 3,
      "logoUrl": "https://ctm-channel-logos.stage-ctm-cdn.productsup.com/channel/0/logo.png",
      "createDelta": true,
      "deltaKeyUnique": true
    },
    {
      "id": 58661,
      "name": "Facebook Dynamic Ads",
      "global": true,
      "pseudo": false,
      "allowXml": true,
      "roiOptions": "",
      "accountId": 1,
      "projectId": 2,
      "siteId": 3,
      "logoUrl": "https://ctm-channel-logos.stage-ctm-cdn.productsup.com/channel/0/logo.png",
      "createDelta": false,
      "deltaKeyUnique": true
    }
  ],
  "pagination": {
    "firstResult": 0,
    "maxResults": 50,
    "count": 4,
    "total": 4
  }
}
{
  "message": "string"
}
{
  "message": "Access denied"
}
{
  "message": "string"
}

How is this guide?